Get a Call by ID

cURL

curl --request GET \
  --url https://api.openphone.com/v1/calls/{callId} \
  --header 'Authorization: <api-key>'

Response Codes

  • 200
  • 400
  • 401
  • 403
  • 404
  • 500

Example Response

{
  "data": {
    "answeredAt": "2022-01-01T00:00:00Z",
    "answeredBy": "USlHhXmRMz",
    "initiatedBy": "USlHhXmRMz",
    "direction": "incoming",
    "status": "queued",
    "completedAt": "2022-01-01T00:00:00Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "callRoute": "phone-number",
    "duration": 123,
    "forwardedFrom": "+15555555555",
    "forwardedTo": "+15555555555",
    "aiHandled": "ai-agent",
    "id": "<string>",
    "phoneNumberId": "<string>",
    "participants": [
      "<string>"
    ],
    "updatedAt": "2022-01-01T00:00:00Z",
    "userId": "<string>"
  }
}

Authorization

  • Authorization: string, header, required

Path Parameters

  • callId: string, required
    Unique identifier of the call.
    Pattern: ^AC(.*)$
    Example:
    "AC3700e624eca547eb9f749a06f2eb1"

Response

  • 200: application/json, Success,
    data: object, required, Showchild attributes.